<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.projectManagement.mapper.FdContractBidpartyMapper">
    <select id="findByPage" resultType="org.jeecg.modules.projectManagement.entity.FdContractBidparty">
        SELECT
            fcb.customer_code,
            fcb.customer_name
        FROM
            fd_contract_bidparty fcb
            LEFT JOIN fd_contract fc ON fcb.contract_id = fc.id
            LEFT JOIN fd_contract_contacts fcc ON fcb.customer_id = fcc.id
             ${ew.customSqlSegment}
    </select>
</mapper>